Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::split_base_fn Struct Reference
Inheritance diagram for ranges::views::split_base_fn:

## Public Member Functions
template<typename Rng , typename Pattern >
constexpr split_view< all_t< Rng >, all_t< Pattern > > | operator() (Rng &&rng, Pattern &&pattern) const
template<typename Rng >
constexpr split_view< all_t< Rng >, single_view< range_value_t< Rng > > > | operator() (Rng &&rng, range_value_t< Rng > val) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Rng , typename Pattern >

constexpr split_view<all_t<Rng>, all_t<Pattern> > ranges::views::split_base_fn::operator() | ( | Rng && | rng,
|  | Pattern && | pattern
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && viewable_range<Pattern> && forward_range<Pattern> && indirectly_comparable< iterator_t<Rng>, iterator_t<Pattern>, ranges::equal_to> && (forward_range<Rng> || detail::tiny_range<Pattern>)` //

References ranges::begin.

## ◆ operator()() [2/2]

template<typename Rng >

constexpr split_view<all_t<Rng>, single_view<range_value_t<Rng> > > ranges::views::split_base_fn::operator() | ( | Rng && | rng,
|  | range_value_t< Rng > | val
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && indirectly_comparable<iterator_t<Rng>, range_value_t<Rng> const *, ranges::equal_to>`